## kreversi 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KREVERSI_BASE_VERSION once new features are added
set(KREVERSI_BASE_VERSION "2.1")
set(KREVERSI_VERSION "${KREVERSI_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kreversi VERSION ${KREVERSI_VERSION})

set (QT_MIN_VERSION "5.12.0")
set (KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    Declarative
    DocTools
    I18n
    IconThemes
    KIO
    XmlGui
    WidgetsAddons
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)

set(CMAKE_CXX_STANDARD 14)
add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
#    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
    -DQT_STRICT_ITERATORS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_KEYWORDS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050700
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x051E00
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()

add_subdirectory(pics)
add_subdirectory(sounds)
add_subdirectory(icons)
add_subdirectory(doc)


########### next target ##############
set(kreversi_SRCS
    commondefs.cpp
    colorscheme.cpp
    kreversigame.cpp
    kreversiview.cpp
    kreversiplayer.cpp
    kreversihumanplayer.cpp
    kreversicomputerplayer.cpp
    startgamedialog.cpp
    Engine.cpp
    highscores.cpp
    kexthighscore.cpp
    kexthighscore_gui.cpp
    kexthighscore_internal.cpp
    kexthighscore_item.cpp
    kexthighscore_tab.cpp
    mainwindow.cpp
    main.cpp
)
ecm_setup_version(${KREVERSI_VERSION}
    VARIABLE_PREFIX KREVERSI
    VERSION_HEADER kreversi_version.h
)

qt5_add_resources(kreversi_SRCS kreversi.qrc)
ki18n_wrap_ui(kreversi_SRCS startgamedialog.ui)

kconfig_add_kcfg_files(kreversi_SRCS preferences.kcfgc)

file(GLOB ICON_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*-apps-kreversi.png")
ecm_add_app_icon(kreversi_SRCS ICONS ${ICON_SRCS})
add_executable(kreversi ${kreversi_SRCS})

target_link_libraries(kreversi
    Qt5::Svg
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::Declarative
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::WidgetsAddons
    KF5::XmlGui
    KF5KDEGames
)

install(TARGETS kreversi  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(PROGRAMS org.kde.kreversi.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(DIRECTORY qml DESTINATION ${KDE_INSTALL_DATADIR}/kreversi)
install(FILES org.kde.kreversi.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kreversi (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.71.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 09:47:05 +0100

=== debian/control ===
Source: kreversi
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5declarative-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libqt5svg5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git

Package: kreversi
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: reversi board game
 KReversi is a board game where two players place pieces on the board to flip
 the opponent's pieces.  When neither player can flip any more pieces, the
 player with the most pieces on the board wins the game.
 .
 This package is part of the KDE games module.

## kreversi 20.12.3

=== debian/changelog ===
kreversi (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:25:13 +0000

kreversi (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:58:31 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.71.0~),
                libkf5i18n-dev (>= 5.71.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5kio-dev (>= 5.71.0~),
                libkf5widgetsaddons-dev (>= 5.71.0~),
                libkf5xmlgui-dev (>= 5.71.0~),

## kreversi 21.08.0

=== debian/changelog ===
kreversi (4:21.08.0-1deepin1) unstable; urgency=medium

  * fix: missing include QQmlContext prevents building

 -- sisungo <sisungo@icloud.com>  Mon, 13 Oct 2025 22:31:22 +0800

kreversi (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:24:36 +0900

kreversi (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Fix libkf5kdegames-dev versioning.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 15:16:40 +0900

=== debian/control ===
Source: kreversi
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5declarative-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5svg5-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git

Package: kreversi
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: reversi board game
 KReversi is a board game where two players place pieces on the board to flip
 the opponent's pieces.  When neither player can flip any more pieces, the
 player with the most pieces on the board wins the game.
 .
 This package is part of the KDE games module.

## kreversi 21.08.1

=== debian/changelog ===
kreversi (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:29 +0100

kreversi (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:41 +0100

kreversi (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:42 +0100

kreversi (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:39 +0100

kreversi (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:52 +0100

kreversi (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:50 +0100

kreversi (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:27 +0100

kreversi (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:34 +0100

=== debian/control ===
Source: kreversi
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5declarative-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kdegames-dev (>= 4:21.08.1~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libqt5svg5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git

Package: kreversi
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: reversi board game
 KReversi is a board game where two players place pieces on the board to flip
 the opponent's pieces.  When neither player can flip any more pieces, the
 player with the most pieces on the board wins the game.
 .
 This package is part of the KDE games module.

## kreversi 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KREVERSI_BASE_VERSION once new features are added
set(KREVERSI_BASE_VERSION "2.1")
set(KREVERSI_VERSION "${KREVERSI_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kreversi VERSION ${KREVERSI_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.85.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    Declarative
    DocTools
    I18n
    KIO
    XmlGui
    WidgetsAddons
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
# added by KDE_COMPILERSETTINGS_LEVEL 5.85
remove_definitions(
    -DQT_NO_CAST_FROM_BYTEARRAY
)

add_subdirectory(pics)
add_subdirectory(sounds)
add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== icons/hicolor/CMakeLists.txt ===
ecm_install_icons(ICONS
128-apps-kreversi.png  16-apps-kreversi.png  22-apps-kreversi.png  32-apps-kreversi.png  48-apps-kreversi.png  64-apps-kreversi.png
16-actions-lastmoves.png   22-actions-lastmoves.png   32-actions-lastmoves.png   48-actions-lastmoves.png   sc-actions-legalmoves.svgz
16-actions-legalmoves.png  22-actions-legalmoves.png  32-actions-legalmoves.png  48-actions-legalmoves.png  sc-actions-lastmoves.svgz
DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== debian/changelog ===
kreversi (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:04 +0000

kreversi (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:37 +0000

kreversi (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:27 +0000

kreversi (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:38 +0000

kreversi (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:10:43 +0000

kreversi (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:48 +0000

kreversi (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:07 +0000

kreversi (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kreversi
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -22,7 +23,7 @@
                libkf5doctools-dev (>= 5.71.0~),
                libkf5i18n-dev (>= 5.71.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5kio-dev (>= 5.71.0~),
                libkf5widgetsaddons-dev (>= 5.71.0~),
                libkf5xmlgui-dev (>= 5.71.0~),
@@ -33,8 +34,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
 
 Package: kreversi
 Architecture: any

## kreversi 22.08.1

=== debian/changelog ===
kreversi (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:22 +0100

kreversi (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:49 +0100

kreversi (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:34 +0100

kreversi (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:02 +0100

kreversi (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:59 +0100

kreversi (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:24 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf5doctools-dev (>= 5.71.0~),
                libkf5i18n-dev (>= 5.71.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.71.0~),
                libkf5widgetsaddons-dev (>= 5.71.0~),
                libkf5xmlgui-dev (>= 5.71.0~),

## kreversi 22.12.3

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kreversi)

=== src/CMakeLists.txt ===
ecm_setup_version(${KREVERSI_VERSION}
    VARIABLE_PREFIX KREVERSI
    VERSION_HEADER kreversi_version.h
)

add_executable(kreversi)

target_sources(kreversi PRIVATE
    colorscheme.cpp
    colorscheme.h
    commondefs.cpp
    commondefs.h
    Engine.cpp
    Engine.h
    gamestartinformation.h
    highscores.cpp
    highscores.h
    kexthighscore.cpp
    kexthighscore_gui.cpp
    kexthighscore_gui.h
    kexthighscore.h
    kexthighscore_internal.cpp
    kexthighscore_internal.h
    kexthighscore_item.cpp
    kexthighscore_item.h
    kexthighscore_tab.cpp
    kexthighscore_tab.h
    kreversicomputerplayer.cpp
    kreversicomputerplayer.h
    kreversigame.cpp
    kreversigame.h
    kreversihumanplayer.cpp
    kreversihumanplayer.h
    kreversiplayer.cpp
    kreversiplayer.h
    kreversiview.cpp
    kreversiview.h
    main.cpp
    mainwindow.cpp
    mainwindow.h
    startgamedialog.cpp
    startgamedialog.h


    kreversi.qrc
)

ki18n_wrap_ui(kreversi startgamedialog.ui)

kconfig_add_kcfg_files(kreversi preferences.kcfgc)

file(GLOB ICON_SRCS "${CMAKE_SOURCE_DIR}/icons/hicolor/*-apps-kreversi.png")
ecm_add_app_icon(kreversi ICONS ${ICON_SRCS})

target_link_libraries(kreversi
    KF5KDEGames
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::WidgetsAddons
    KF5::XmlGui
    Qt${QT_MAJOR_VERSION}::Svg
)

install(TARGETS kreversi  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(DIRECTORY qml DESTINATION ${KDE_INSTALL_DATADIR}/kreversi)

install(PROGRAMS org.kde.kreversi.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kreversi.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kreversi (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:21 +0100

kreversi (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:05:55 +0100

kreversi (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:40 +0100

=== debian/control ===
Source: kreversi
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git

Package: kreversi
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends},
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Recommends: khelpcenter,
Description: reversi board game
 KReversi is a board game where two players place pieces on the board to flip
 the opponent's pieces.  When neither player can flip any more pieces, the
 player with the most pieces on the board wins the game.
 .
 This package is part of the KDE games module.

## kreversi 23.08.0

=== debian/changelog ===
kreversi (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:39 +0100

kreversi (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:09 +0100

kreversi (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:39 +0100

kreversi (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:43 +0100

kreversi (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:16 +0000

kreversi (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:25 -0600

kreversi (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:05 +0000

kreversi (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 16:55:30 +0000

kreversi (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:46 +0000

kreversi (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:00 +0000

kreversi (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:10 +0000

kreversi (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kreversi
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -20,7 +21,7 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
@@ -28,18 +29,18 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
 
 Package: kreversi
 Architecture: any
-Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends},
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
-Recommends: khelpcenter,
+Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Recommends: khelpcenter
 Description: reversi board game
  KReversi is a board game where two players place pieces on the board to flip
  the opponent's pieces.  When neither player can flip any more pieces, the

## kreversi 23.08.1

=== debian/changelog ===
kreversi (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:36 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),

## kreversi 23.08.4

=== debian/changelog ===
kreversi (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:49 +0000

kreversi (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:59 +0000

kreversi (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),

## kreversi 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KREVERSI_BASE_VERSION once new features are added
set(KREVERSI_BASE_VERSION "2.1")
set(KREVERSI_VERSION "${KREVERSI_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kreversi VERSION ${KREVERSI_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF_MIN_VERSION "5.91.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets Svg Test)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    IconThemes
    JobWidgets
    KIO
    XmlGui
    WidgetsAddons
)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(KDEGames6 7.5.0 REQUIRED)
else()
    find_package(KF5KDEGames 7.3.0 REQUIRED)
endif()

ecm_set_disabled_deprecation_versions(QT 5.15.10
     KF 5.107.0
    )

add_subdirectory(pics)
add_subdirectory(sounds)
add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -52,17 +52,23 @@
 file(GLOB ICON_SRCS "${CMAKE_SOURCE_DIR}/icons/hicolor/*-apps-kreversi.png")
 ecm_add_app_icon(kreversi ICONS ${ICON_SRCS})
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(kreversi KDEGames6)
+else()
+    target_link_libraries(kreversi KF5KDEGames)
+endif()
+
 target_link_libraries(kreversi
-    KF5KDEGames
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::CoreAddons
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::KIOCore
-    KF5::KIOFileWidgets
-    KF5::WidgetsAddons
-    KF5::XmlGui
+    KF${KF_MAJOR_VERSION}::ConfigCore
+    KF${KF_MAJOR_VERSION}::ConfigGui
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::IconThemes
+    KF${KF_MAJOR_VERSION}::KIOCore
+    KF${KF_MAJOR_VERSION}::KIOFileWidgets
+    KF${KF_MAJOR_VERSION}::WidgetsAddons
+    KF${KF_MAJOR_VERSION}::XmlGui
     Qt${QT_MAJOR_VERSION}::Svg
 )

=== debian/changelog ===
kreversi (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:05 +1100

kreversi (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:17:13 +0000

kreversi (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:15:05 -0700

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
-               libkf5kdegames-dev (>= 4:23.08.4~),
+               libkf5kdegames-dev (>= 4:23.08.5~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),

## kreversi 24.08.2

=== debian/changelog ===
kreversi (4:24.08.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:43 -0500

kreversi (4:24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch to kf6 sequence.
  * No need to break anymore on kde-l10n-X packages (this was a KF4
    thing).
  * Use dh_qmldeps to detect QML dependencies.
  * Update build-deps and deps with the info from cmake.
  * Explictily build-depend on libkdegames 24.08
    (24.08 includes the qml module in dev package).
  * Update Standard-Version (no changes needed).
  * Update upstream metadata.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 12:37:13 +0200

kreversi (4:24.08.2-1) experimental; urgency=low

  * New upstream release
  * Add myself to uploaders
  * Place pkgkde-getqmldepends in rules to detect qml runtime dependencies
  * Drop patch that is no longer needed

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 10 Oct 2024 00:28:22 +0200

kreversi (4:22.12.3-2) unstable; urgency=low

  * Team upload
  * Fix vertical alignment (Closes: #1080231)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 31 Aug 2024 22:17:37 +0200

=== debian/control ===
Source: kreversi
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               libkdegames6-dev (>= 4:24.08.0~),
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kreversi/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi

Package: kreversi
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: reversi board game
 KReversi is a board game where two players place pieces on the board to flip
 the opponent's pieces.  When neither player can flip any more pieces, the
 player with the most pieces on the board wins the game.
 .
 This package is part of the KDE games module.

## kreversi 24.12.0

=== debian/changelog ===
kreversi (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:55 +0000

kreversi (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:36 +0000

kreversi (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:49:01 +0000

kreversi (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:46 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               libkdegames6-dev (>= 4:24.08.0~),
+               libkdegames6-dev (>= 4:24.12.0~),
                libkf6colorscheme-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kreversi 24.12.1

=== debian/changelog ===
kreversi (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:36:40 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               libkdegames6-dev (>= 4:24.12.0~),
+               libkdegames6-dev (>= 4:24.12.1~),
                libkf6colorscheme-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kreversi 24.12.2

=== debian/changelog ===
kreversi (4:24.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 27 Feb 2025 18:09:17 +0100

kreversi (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 18:13:25 +0100

kreversi (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 21 Dec 2024 08:35:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kreversi
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -14,7 +13,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               libkdegames6-dev (>= 4:24.12.1~),
+               libkdegames6-dev (>= 4:24.08.0~),
                libkf6colorscheme-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -34,8 +33,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kreversi/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git
 
 Package: kreversi
 Architecture: any

## kreversi 24.12.3

=== themes/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

function(install_theme name)
    cmake_parse_arguments(ARG "" "SVG" "" ${ARGN})
    if (NOT ARG_SVG)
        set(ARG_SVG "${name}.svg")
    endif()
    set(svgz "${CMAKE_CURRENT_BINARY_DIR}/${ARG_SVG}z")
    generate_svgz(${ARG_SVG} ${svgz} "theme-")
    install(
        FILES
            ${name}.desktop
            ${svgz}
        DESTINATION ${KDE_INSTALL_DATADIR}/kreversi/themes
    )
endfunction()

install_theme(default)

=== debian/changelog ===
kreversi (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 09:09:13 +0000

kreversi (4:24.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kreversi
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -13,7 +14,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               libkdegames6-dev (>= 4:24.08.0~),
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6colorscheme-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -33,8 +34,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kreversi/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kreversi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kreversi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kreversi
 
 Package: kreversi
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKDE_INSTALL_BINDIR=/usr/games
